Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.common
Class PageManagerBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.common.PageManagerBean

    public class PageManagerBean

extends java.lang.Object

Version:
  $Revision: 9088 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `PageManagerBean.DynamicMap`

Field Summary
`PageManagerBean.DynamicMap` | `assignedWindows` .
`LayoutService` | `layoutService` .
`Page` | `page` .
`PortletInvoker` | `portletInvoker` .
`java.util.Map` | `selectedContentParameters` .
`java.lang.String` | `selectedContentURI` .
`java.util.Map` | `selectedRenderParameters` .

Constructor Summary
`PageManagerBean(LayoutService layoutService, PortletInvoker portletInvoker)`

Method Summary
`void` | `assignWindow(javax.faces.event.ActionEvent event)` Portlet event
`void` | `assignWindows(javax.faces.event.ActionEvent event)`
`protected java.lang.String` | `createWindowName(java.lang.String contentType, java.lang.String contentURI, boolean appendNumber)`
`java.util.List` | `getContentTypeItems()`
`java.util.List` | `getRegionItems()`
`java.util.List` | `getRegionNames()` Return the List on the selected object which must be a page.
`ContentType` | `getSelectedContentType()`
`java.lang.String` | `getSelectedEditorPortletId()`
`java.util.Map` | `getWindowItemsMap()`
`java.lang.String` | `getWindowName()`
`void` | `setSelectedContentType(ContentType selectedContentType)`
`void` | `setWindowName(java.lang.String windowName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### layoutService

    public final LayoutService layoutService

  .

### portletInvoker

    public final PortletInvoker portletInvoker

  .

### page

    public Page page

  .

### assignedWindows

    public PageManagerBean.DynamicMap assignedWindows

  .

### selectedContentURI

    public java.lang.String selectedContentURI

  .

### selectedContentParameters

    public java.util.Map selectedContentParameters

  .

### selectedRenderParameters

    public java.util.Map selectedRenderParameters

  .

Constructor Detail

### PageManagerBean

    public PageManagerBean(LayoutService layoutService,
                           PortletInvoker portletInvoker)

Method Detail

### getContentTypeItems

    public java.util.List getContentTypeItems()

### getSelectedContentType

    public ContentType getSelectedContentType()

### setSelectedContentType

    public void setSelectedContentType(ContentType selectedContentType)

### getSelectedEditorPortletId

    public java.lang.String getSelectedEditorPortletId()

### createWindowName

    protected java.lang.String createWindowName(java.lang.String contentType,
                                                java.lang.String contentURI,
                                                boolean appendNumber)

### assignWindows

    public void assignWindows(javax.faces.event.ActionEvent event)

### getWindowName

    public java.lang.String getWindowName()

### setWindowName

    public void setWindowName(java.lang.String windowName)

### assignWindow

    public void assignWindow(javax.faces.event.ActionEvent event)

  Portlet event

### getRegionNames

    public java.util.List getRegionNames()

  Return the List on the selected object which must be a page.

### getRegionItems

    public java.util.List getRegionItems()

### getWindowItemsMap

    public java.util.Map getWindowItemsMap()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD